initVariables();
/////////////////////////////////////////////
function funcionGo(ctx, width, height) {
  if (lInit) {
    txClocalUp = "IAMETRIA: lateral. Posición de partida. Mover lateralmente";
    txClocalDown = "Mano abierta frontal/Mover lateralmente";
    jsreinitProcedure();
    jsinitTimer(1);
    lDisplayFingers = false;
    diameter = hVideo;
    centerX = windowWidth / 2;
    centerY = windowHeight / 2;
    if (!deviceAndroid) {
    }
    else {
      if (deviceOrientation == "landscape") {
        diameter = hVideo / 4;
      }
      else {
        if (deviceOrientation == "portrait") {
          diameter = hVideo / 4;
        }
      }
    }
    fill(255);

  }
  //displaymodulo(0);
  //image(imgLoad, wsIni + wVideo / 2 - (imgLoad.width / 4) / 2, 50, imgLoad.width / 4, imgLoad.height / 4)
  let pV1 = createVector(0, 0, 0);
  let pV2 = createVector(0, 0, 0);

  for (let i = 0; i < combinedLandmarks.length; i++) {
    switch (i) {
      case 0:
        pV1.x = (pCfbr8.x + pCfbr12.x + pCfbr16.x) / 3
        pV1.y = (pCfbr8.y + pCfbr12.y + pCfbr16.y) / 3
        pV2.x = (pCfbr0.x + pCfbr1.x) / 2
        pV2.y = (pCfbr0.y + pCfbr1.y) / 2
        drawGonio(4, pV2, pV1, i)
        break;
      case 1:
        pV1.x = (pCfbl8.x + pCfbl12.x + pCfbl16.x) / 3
        pV1.y = (pCfbl8.y + pCfbl12.y + pCfbl16.y) / 3
        pV2.x = (pCfbl0.x + pCfbl1.x) / 2
        pV2.y = (pCfbl0.y + pCfbl1.y) / 2
        drawGonio(4, pV2, pV1, i)
        break;
    }
  }
  textSize(12);
  pCW1.x = -width;
  pCW1.y = -width;
  pCW2.x = -width;
  pCW2.x = -width;
}

//////////////////////////////////////////////

